Bug 199732 - Review Request: clanbomber - Bomberman-like multiplayer game that uses ClanLib
Review Request: clanbomber - Bomberman-like multiplayer game that uses ClanLib
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul F. Johnson
Fedora Package Reviews List
:
Depends On: 199632
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-07-21 13:19 EDT by Hans de Goede
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-26 05:34:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2006-07-21 13:19:12 EDT
Spec URL: http://people.atrpms.net/~hdegoede/clanbomber.spec
SRPM URL: http://people.atrpms.net/~hdegoede/clanbomber-1.05-1.src.rpm
Description:
ClanBomber is a free (GPL) Bomberman-like multiplayer game that uses ClanLib,
a free multi platform C++ game SDK. First "ClanBomber" was only a working title
for a small game started in September 1998, that has only been started to learn
how to use ClanLib. But the ClanBomber project has grown into a real game. It
is fully playable and features Computer controlled bombers, however, it is
recommended to play ClanBomber with friends (3-8 players are really fun).

---

Note this packages needs ClanLib06, review bug 199632
Comment 1 Paul F. Johnson 2006-07-21 18:42:12 EDT
Can't spot anything obvious on the spec file... I'll download and test with
ClanLib06
Comment 2 Paul F. Johnson 2006-07-24 17:42:27 EDT
The build fails if you have the smp_flags on the makefile line (it fails on a
race condition when building - not all scripts are happy using smp).

When I remove the smp_flags from the make line, the package builds without a
problem. rpmlint throws no complaints with the binary or source packages.

My local repo and mock built it happily.

As long as you remove the smp_flags, I'm happy for this to be released.
Comment 3 Hans de Goede 2006-07-25 07:06:56 EDT
New version with smp_flags removed here:
Spec URL: http://people.atrpms.net/~hdegoede/clanbomber.spec
SRPM URL: http://people.atrpms.net/~hdegoede/clanbomber-1.05-2.src.rpm
Comment 4 Paul F. Johnson 2006-07-25 14:46:42 EDT
For some reason, rpmlint is complaining that the spec file's permission is 666.
Alter this and it's good to go. Builds fine in mock, everything else seems in
order as well.
Comment 5 Hans de Goede 2006-07-25 15:28:20 EDT
Strange, you said the same with ClanLib06 and I promised to fix it, which in the
end I didn't as there was nothing to fix (the spec was 644 on my system and in
the SRPM on my system, also rpmlint was happy over here). Seems something
strange is going on on your side. Its the same for this package, the spec is 644
on my system and in the SRPM on my system, also rpmlint is happy with the SRPM
as uploaded over here.

Could you try running rpmlint directly on the downloaded srpm ?

Comment 6 Paul F. Johnson 2006-07-25 17:50:04 EDT
Yeah, looks like my system is at fault on this one. 

APPROVED
Comment 7 Hans de Goede 2006-07-26 05:34:01 EDT
Thanks. Imported and build, closing.

Note You need to log in before you can comment on or make changes to this bug.